# 6.1.   Pour
for carac in "hello world" :
   print(carac, end="")
print()  # un saut de ligne en plus pour l'affichage
for i in range(10) :
   print(i, end ='')	# affiche 0123456789
print()			# juste un saut de ligne
for i in range(1, 11) :
   print(i, end ='')	# affiche 12345678910
print()
for i in range(1, 11, 2) :
   print(i, end ='')	# affiche 13579
print()

table = int(input("Entrer un entier compris entre 1 et 10"))
for i in range(1, 11) :
   print(i, 'x', table, '=', table *i)

#6.2.  Tant que
x = eval(input("Entrer un réel positif ou nul"))
n = 0
m = n + 1
while m <= x :
   n += 1
   m = n + 1
print("la partie entière de", x, "est", n)

# 6.3.   Répéter jusqu'à 
reponse = input("Voulez-vous continuer? (oui/non)")
while reponse != 'non' :
   reponse = input("Voulez-vous continuer? (oui/non)")

# 6.4.   Boucles imbriquées
for i in range(1, 11) :
   for j in range(1, 11) :
      print(i, 'x', j, '=', j *i) 
   print()   # un saut de ligne entre chaque table pour la lisibilité

# 6.5.1.   Break
for i in range(10) :
   print(i)
   break

for i in range(10) : 
   if i == 5 :
      break
   print(i)

# 6.5.2.   Continue
for i in range(10) : 
   if i == 5 :
      continue
   print(i)

# 6.5.3.   Boucle-else
for i in range(10) : 
   if i == 5 :
      break
   print(i)
else : 
   print("je rentre dans le else du for")

while i < 10 : 
   print(i) 
   i += 1
else : 
   print("je rentre dans le else du while") 


